package com.prolog.cs.biz.inbound.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description 监管码/防窜码/唯一码记录表 
 * @Author Xiong  
 * @Date 2021-06-16 
 */

@ApiModel
public class IsSuperviseDTO implements Serializable {
	

    private static final long serialVersionUID =  2291818160143936394L;

	@ApiModelProperty(value = "仓库ID")
	private String warehouseId;
	
	@ApiModelProperty(value = "入库、出库参考数据字典，作用如：代管出库8不需要扫描监管码")
	private String billType;
	
	@ApiModelProperty(value = "商品ID") 
	private String itemId;

	@ApiModelProperty(value = "货主ID") 
	private String consignorId;
	
	@ApiModelProperty(value = "收货单位(客户)id")
	private String shipperId;

	@ApiModelProperty(value = "小包装数")
	private String minSu;

	@ApiModelProperty(value = "中包装数")
	private String middleSu;

	@ApiModelProperty(value = "大包装数")
	private String maxSu;
	
	@ApiModelProperty(value = "入参务必不填，是否监管码扫描(0否1是默认0)")
	private Integer isSupervise;

	@ApiModelProperty(value = "不扫码原因")
	private String noSuperviseReason;

	public String getNoSuperviseReason() {
		return noSuperviseReason;
	}

	public void setNoSuperviseReason(String noSuperviseReason) {
		this.noSuperviseReason = noSuperviseReason;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getMinSu() {
		return minSu;
	}

	public void setMinSu(String minSu) {
		this.minSu = minSu;
	}

	public String getMiddleSu() {
		return middleSu;
	}

	public void setMiddleSu(String middleSu) {
		this.middleSu = middleSu;
	}

	public String getMaxSu() {
		return maxSu;
	}

	public void setMaxSu(String maxSu) {
		this.maxSu = maxSu;
	}

	public String getBillType() {
		return billType;
	}

	public void setBillType(String billType) {
		this.billType = billType;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getConsignorId() {
		return consignorId;
	}

	public void setConsignorId(String consignorId) {
		this.consignorId = consignorId;
	}

	public String getShipperId() {
		return shipperId;
	}

	public void setShipperId(String shipperId) {
		this.shipperId = shipperId;
	}

	public Integer getIsSupervise() {
		return isSupervise;
	}

	public void setIsSupervise(Integer isSupervise) {
		this.isSupervise = isSupervise;
	}
}
